Ticket #28523

ブレイルセンスプラスへの対応

Open Date: 2012-05-26 20:19 Last Update: 2012-11-27 19:07

Reporter:
Owner:
Status:
Closed
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None
File:
None

Details

本家チケット1266で Braille Sense ドライバについて議論されています。 http://www.nvda-project.org/ticket/1266

このドライバを NVDA 日本語版(2012.2jpに向けて点訳テーブル「日本語」を追加したバージョン)で確認していただいています。

ブレイルセンスプラスで以下のような報告をいただきました。

  • スタートメニューなどで日本語表示はできました。 しかし日本語テーブルを選んでメモ帳などのエディットボックスで文字を入力してもなにも表示されません。 英数文字も表示できません。 他の言語のテーブルを選ぶと英数文字は表示されます。
  • https://twitter.com/dream945/status/206321060713472000

いただいたログファイルには以下のような記録があります。 これは KGS ドライバでも起きているエラーかも知れず、どうやら mecab と louis の連携がうまくいっていないためにドライバが途中でクラッシュしているのではないかと思います。

error executing event: gainFocus on <NVDAObjects.Dynamic_IAccessibleEditWindowNVDAObject object at 0x037C35B0> with extra args of {}
Traceback (most recent call last):
  File "eventHandler.py", line 136, in executeEvent
    _EventExecuter(eventName,obj,kwargs)
  File "eventHandler.py", line 84, in __init__
    self.next()
  File "eventHandler.py", line 91, in next
    return func(*args, **self.kwargs)
  File "NVDAObjects\behaviors.py", line 154, in event_gainFocus
    super(EditableText, self).event_gainFocus()
  File "NVDAObjects\__init__.py", line 779, in event_gainFocus
    braille.handler.handleGainFocus(self)
  File "braille.py", line 1333, in handleGainFocus
    self._doNewObject(itertools.chain(getFocusContextRegions(obj, oldFocusRegions=self.mainBuffer.regions), getFocusRegions(obj)))
  File "braille.py", line 1337, in _doNewObject
    for region in regions:
  File "braille.py", line 1141, in getFocusRegions
    region2.update()
  File "braille.py", line 749, in update
    super(TextInfoRegion, self).update()
  File "braille.py", line 351, in update
    mode=mode, cursorPos=self.cursorPos or 0)
  File "louis\__init__.py", line 118, in translate
    typeformbuf = create_string_buffer(struct.pack('B'*len(typeform),*typeform), size=outlen.value)
  File "D:\Python27\lib\ctypes\__init__.py", line 62, in create_string_buffer
    buf.value = init
ValueError: string too long

Ticket History (3/4 Histories)

2012-05-26 20:20 Updated by: nishimoto
  • New Ticket "ブレイルセンスプラスへの対応" created
2012-06-07 11:22 Updated by: nishimoto
Comment

本家チケット 1266 で senseEdgeDrivers.zip という改良版の実装が公開されました。

本家 2012.3 に統合されるようです。

2012-06-19 23:12 Updated by: nishimoto
  • Milestone Update from (None) to 2012.3jp (closed)
  • Owner Update from (None) to nishimoto
  • Component Update from (None) to 点字ディスプレイ
2012-11-27 19:07 Updated by: nishimoto
  • Ticket Close date is changed to 2012-11-27 19:07
  • Status Update from Open to Closed
Comment

どのくらいテストされているか不明ですが、本家 2012.3 ではブレイルセンス対応は完了しており、日本においても本件について不具合の報告がないので、クローズします。

何か問題が見つかったらお知らせください。

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login